Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.greenlab.conf
Class GreenLabAtributes

    java.lang.Object
      de.grogra.greenlab.conf.GreenLabAtributes

    public final class GreenLabAtributes

extends java.lang.Object

Field Summary
`static int` | `DOUBLE_DIGITS`
`static int` | `ENVIRONMENT_LIGHT_NUM`
`static int` | `ENVIRONMENT_SOIL_NUM`
`static int` | `ENVIRONMENT_TEMP_NUM`
`static int` | `GEOMETRY_PARAMETER_NUM`
`static int` | `MAX_PHYSIOLOGICAL_AGE`
`static int` | `MAX_RGB_VALUE`
`static int[]` | `OUTPUT_CHART_LIST_NUM`
`static int` | `OUTPUT_CHART_NUM`
`static int[]` | `OUTPUT_DATA_LIST_NUM`
`static int` | `OUTPUT_DATA_NUM`
`static int[]` | `OUTPUT_THREE_D_LIST_NUM`
`static int` | `OUTPUT_THREE_D_NUM`
`static int` | `TOPO_META_NUM`
`static int` | `TOPO_PARA_NUM`

Constructor Summary
`GreenLabAtributes()`

Method Summary
`static javax.swing.ImageIcon` | `getImageIcon(java.lang.Class myClass, java.lang.String keyString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOUBLE_DIGITS

    public static final int DOUBLE_DIGITS

See Also:
  Constant Field Values

### ENVIRONMENT_LIGHT_NUM

    public static final int ENVIRONMENT_LIGHT_NUM

See Also:
  Constant Field Values

### ENVIRONMENT_SOIL_NUM

    public static final int ENVIRONMENT_SOIL_NUM

See Also:
  Constant Field Values

### ENVIRONMENT_TEMP_NUM

    public static final int ENVIRONMENT_TEMP_NUM

See Also:
  Constant Field Values

### GEOMETRY_PARAMETER_NUM

    public static final int GEOMETRY_PARAMETER_NUM

See Also:
  Constant Field Values

### MAX_PHYSIOLOGICAL_AGE

    public static final int MAX_PHYSIOLOGICAL_AGE

See Also:
  Constant Field Values

### MAX_RGB_VALUE

    public static final int MAX_RGB_VALUE

See Also:
  Constant Field Values

### OUTPUT_CHART_LIST_NUM

    public static final int[] OUTPUT_CHART_LIST_NUM

### OUTPUT_CHART_NUM

    public static final int OUTPUT_CHART_NUM

See Also:
  Constant Field Values

### OUTPUT_DATA_LIST_NUM

    public static final int[] OUTPUT_DATA_LIST_NUM

### OUTPUT_DATA_NUM

    public static final int OUTPUT_DATA_NUM

See Also:
  Constant Field Values

### OUTPUT_THREE_D_LIST_NUM

    public static final int[] OUTPUT_THREE_D_LIST_NUM

### OUTPUT_THREE_D_NUM

    public static final int OUTPUT_THREE_D_NUM

See Also:
  Constant Field Values

### TOPO_META_NUM

    public static final int TOPO_META_NUM

See Also:
  Constant Field Values

### TOPO_PARA_NUM

    public static final int TOPO_PARA_NUM

See Also:
  Constant Field Values

Constructor Detail

### GreenLabAtributes

    public GreenLabAtributes()

Method Detail

### getImageIcon

    public static javax.swing.ImageIcon getImageIcon(java.lang.Class myClass,
                                                     java.lang.String keyString)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD